WPSListener Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | List of all members
WPSListener Class Referenceabstract

virtual class for content listener More...

`#include <WPSListener.h>`

Inheritance diagram for WPSListener:

## Public Types
enum | FieldType { None, PageNumber, Date, Time, Title, Link, Database }
| Defines some basic type for field. More...

## Public Member Functions
| WPSListener ()
virtual | ~WPSListener ()
virtual void | setDocumentLanguage (int lcid)=0
virtual void | insertCharacter (uint8_t character)=0
| adds a basic character, .. More...
virtual void | insertUnicode (uint32_t character)=0
| adds an unicode character More...
virtual void | insertUnicodeString (librevenge::RVNGString const &str)=0
| adds a unicode string More...
virtual void | insertTab ()=0
virtual void | insertEOL (bool softBreak=false)=0
virtual void | insertBreak (const uint8_t breakType)=0
virtual void | setFont (const WPSFont &font)=0
| set the actual font More...
virtual WPSFont const & | getFont () const =0
| returns the actual font More...
virtual bool | isParagraphOpened () const =0
| returns true if a paragraph or a list is opened More...
virtual void | setParagraph (const WPSParagraph &para)=0
| sets the actual paragraph More...
virtual WPSParagraph const & | getParagraph () const =0
| returns the actual paragraph More...
virtual void | insertField (FieldType type)=0
| adds a field type More...
virtual void | insertDateTimeField (char const *format)=0
| insert a date/time field with given format (see strftime) More...

## Static Public Member Functions
static void | appendUnicode (uint32_t val, librevenge::RVNGString &buffer)
| adds an unicode character to a string ( with correct encoding ). More...

## Detailed Description

virtual class for content listener

## Member Enumeration Documentation

enum WPSListener::FieldType

Defines some basic type for field.

Enumerator
None |
PageNumber |
Date |
Time |
Title |
Link |
Database |

## Constructor & Destructor Documentation

WPSListener::WPSListener | ( |  | ) |
| inline

virtual WPSListener::~WPSListener | ( |  | ) |
| inlinevirtual

## Member Function Documentation

static void WPSListener::appendUnicode | ( | uint32_t | val,
|  | librevenge::RVNGString & | buffer
| ) |  |
| inlinestatic

adds an unicode character to a string ( with correct encoding ).

Referenced by WPS4Text::footNotesDataParser(), WPSContentListener::insertUnicode(), WKSContentListener::insertUnicode(), WPS8TextStyle::readParagraph(), WPS4Text::readParagraph(), WPS8Text::readString(), and WKS4Spreadsheet::sendCellContent().

virtual WPSFont const& WPSListener::getFont | ( |  | ) | const
| pure virtual

returns the actual font

Implemented in WKSContentListener, and WPSContentListener.

virtual WPSParagraph const& WPSListener::getParagraph | ( |  | ) | const
| pure virtual

returns the actual paragraph

Implemented in WKSContentListener, and WPSContentListener.

virtual void WPSListener::insertBreak | ( | const uint8_t | breakType | ) |
| pure virtual

Implemented in WKSContentListener, and WPSContentListener.

virtual void WPSListener::insertCharacter | ( | uint8_t | character | ) |
| pure virtual

adds a basic character, ..

Implemented in WKSContentListener, and WPSContentListener.

virtual void WPSListener::insertDateTimeField | ( | char const * | format | ) |
| pure virtual

insert a date/time field with given format (see strftime)

Implemented in WKSContentListener, and WPSContentListener.

virtual void WPSListener::insertEOL | ( | bool | softBreak = `false` | ) |
| pure virtual

Implemented in WKSContentListener, and WPSContentListener.

virtual void WPSListener::insertField | ( | FieldType | type | ) |
| pure virtual

adds a field type

Implemented in WKSContentListener, and WPSContentListener.

virtual void WPSListener::insertTab | ( |  | ) |
| pure virtual

Implemented in WKSContentListener, and WPSContentListener.

virtual void WPSListener::insertUnicode | ( | uint32_t | character | ) |
| pure virtual

adds an unicode character

by convention if character=0xfffd(undef), no character is added

Implemented in WKSContentListener, and WPSContentListener.

virtual void WPSListener::insertUnicodeString | ( | librevenge::RVNGString const & | str | ) |
| pure virtual

adds a unicode string

Implemented in WKSContentListener, and WPSContentListener.

virtual bool WPSListener::isParagraphOpened | ( |  | ) | const
| pure virtual

returns true if a paragraph or a list is opened

Implemented in WKSContentListener, and WPSContentListener.

virtual void WPSListener::setDocumentLanguage | ( | int | lcid | ) |
| pure virtual

Implemented in WKSContentListener, and WPSContentListener.

virtual void WPSListener::setFont | ( | const WPSFont & | font | ) |
| pure virtual

set the actual font

Implemented in WKSContentListener, and WPSContentListener.

virtual void WPSListener::setParagraph | ( | const WPSParagraph & | para | ) |
| pure virtual

sets the actual paragraph

Implemented in WKSContentListener, and WPSContentListener.

The documentation for this class was generated from the following file:

- WPSListener.h